  *{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
}

body {
  /* background: #e6d200; */
  background-color: goldenrod;
}
.logo{
    width: 70px;
}
.mega{
    width: 300px;
}
/* Top bar */
.top-bar {
  background: #f1f1f1;
  padding: 8px 20px;
  font-size: 14px;
}

.top-links a {
  margin-right: 15px;
  color: #919191;
}

.top-links span {
  color: #919191;
}


.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 30px;
  background: #000;
}

/* Left */
.left {
  flex: 1;
}

/* Right */
.right {
  flex: 1;
  text-align: right;
}
.right span{
    color: #fff;
}
.right a {
  color: goldenrod;
  text-decoration: none;
  margin-left: 5px;
}

/* Navbar */
.navbar {
  background: goldenrod;
  padding: 10px 80px;
  text-align: center;
}

.navbar a {
  color: #000;
  margin: 0 15px;
  text-decoration: none;
  font-weight: 600;
}

/* Banner */
.banner {
  display: flex;
  background: #000;
  margin: 0px auto;
  /*width: 90%;*/
  /*border-radius: 20px;*/
  overflow: hidden;
  padding: 20px;
}

/* Left Side */
.banner-left {
  flex: 1;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0px;
}

/* Right Side */
.banner-right {
  flex: 1;
  padding: 40px;
}

.banner-right h1 {
  color: #ffd400;
  font-size: 28px;
  margin-bottom: 15px;
  font-family: noyhabistro-sack, Arial, Helvetica, sans-serif;
  font-weight: 600;
}

.banner-right p {
  color: #fff;
  line-height: 1.6;
  margin-bottom: 20px;
}

.video-btn {
  color: #0077cc;
  text-decoration: none;
  font-weight: bold;
}

/* Responsive */
@media(max-width: 768px) {
  .banner {
    flex-direction: column;
  }

  .banner-left, .banner-right {
    width: 100%;
  }
}


.jackpot {
  background: #000;
  text-align: center;
  padding: 60px 20px;
}

.title {
  font-size: 28px;
  margin-bottom: 10px;
  color: #ffd400 !important;
}

.amount {
  font-size: 90px;
  font-weight: 900;
  letter-spacing: 3px;
  margin: 20px 0;
  color: #ffd400 !important;
}

.odds {
  font-size: 20px;
  margin-bottom: 40px;
  color: #fff;
}

.next {
  font-size: 28px;
  margin-bottom: 30px;
  color: #ffd400;
}

/* Countdown */
.countdown {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
}

.time {
  text-align: center;
  color: #fff;
}

.time span {
  display: block;
  margin-bottom: 8px;
  font-weight: bold;
}

.box {
  background: #ddd;
  padding: 15px 20px;
  font-size: 40px;
  font-weight: bold;
  border-radius: 6px;
  min-width: 60px;
  color: #000;
}

.colon {
  font-size: 40px;
  font-weight: bold;
  color: #fff;
}

.footer-text {
  margin-top: 30px;
  font-size: 18px;
  color: #fff;
}

/* Responsive */
@media(max-width: 768px) {
  .amount {
    font-size: 50px;
  }

  .countdown {
    flex-wrap: wrap;
  }
}


/* Main Section */
.result-section {
  display: flex;
  width: 90%;
  margin: 50px auto;
  background: #000;
  border-radius: 10px;
  padding: 40px;
}

/* Left */
.left {
  flex: 1;
  text-align: center;
}

.left h2 {
  color: #ffd400;
  margin-bottom: 20px;
}

.date {
  margin-bottom: 30px;
  font-size: 18px;
}

/* Balls */
.numbers {
  display: flex;
  justify-content: center;
  gap: 15px;
  margin-bottom: 30px;
}

.ball {
  width: 60px;
  height: 60px;
  background: #eee;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  font-size: 18px;
  box-shadow: 0 4px 6px rgba(0,0,0,0.2);
}

.ball.yellow {
  background: #ffd400;
}

/* Link */
.past {
  color: #0077cc;
  text-decoration: none;
  font-weight: bold;
}

/* Divider */
.divider {
  width: 1px;
  background: #ccc;
  margin: 0 40px;
}

/* Right */
.right2 {
  flex: 1;
  text-align: start;
}

.right2 h2 {
  color: #ffd400;
  margin-bottom: 20px;
}

.right2 label {
  display: block;
  margin-top: 20px;
  margin-bottom: 8px;
  font-weight: bold;
  color: #fff !important;
}

/* Date input */
.input-date {
  display: flex;
  align-items: center;
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 10px;
}

.input-date input {
  border: none;
  outline: none;
  flex: 1;
}

/* Ticket inputs */
.ticket-inputs {
  display: flex;
  gap: 15px;
  margin-top: 10px;
}

.ticket-inputs input {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  border: 2px solid #ccc;
  text-align: center;
  font-size: 18px;
}

.yellow-border {
  border-color: #ffd400;
}

/* Add link */
.add {
  display: inline-block;
  margin-top: 15px;
  color: #0077cc;
  text-decoration: none;
  font-weight: bold;
}

/* Button */
.check-btn {
  margin-top: 30px;
  background: goldenrod;
  color: white;
  padding: 15px 25px;
  border: none;
  border-radius: 6px;
  font-weight: bold;
  cursor: pointer;
}

/* Responsive */
@media(max-width: 768px) {
  .result-section {
    flex-direction: column;
  }

  .divider {
    display: none;
  }

  .ticket-inputs {
    flex-wrap: wrap;
  }
}

/* mobile */
.mobile-navbar {
  background: #000;
  padding: 10px;
  color: #fff;
}

.menu-icon i,
.search-icon i,
.dropdown-icon i {
  font-size: 20px;
  cursor: pointer;
}

.logo2{
    width: 70px;
}

/* Search Box */
.search-box {
  display: none;
  padding: 10px;
  background: #111;
}

.search-box input {
  width: 100%;
  padding: 8px;
  border-radius: 20px;
  border: none;
}

/* Dropdown */
.dropdown-menu-custom {
  display: none;
  position: absolute;
  right: 10px;
  top: 60px;
  background: #222;
  padding: 10px;
  border-radius: 5px;
}

.dropdown-menu-custom p {
  margin: 5px 0;
  color: #fff;
  cursor: pointer;
}

/* Sidebar */
.side-menu {
  position: fixed;
  left: -250px;
  top: 0;
  width: 250px;
  height: 100%;
  background: #000;
  padding: 20px;
  transition: 0.3s;
}

.side-menu span {
  font-size: 20px;
  cursor: pointer;
}

.side-menu p {
  margin: 15px 0;
  color: #fff;
}

.game-section {
  background: goldenrod;
  padding: 50px 15px;
  text-align: center;
 opacity: 0;
  transform: translateY(50px);
  transition: all 0.8s ease;
}

.game-section.show {
  opacity: 1;
  transform: translateY(0);
}

.section-title {
  color: #000;
  font-weight: bold;
  letter-spacing: 2px;
  margin-bottom: -20px;
  position: relative;
  display: inline-block;
  background: goldenrod;
  padding: 0 20px;
  z-index: 2;
}

.game-box {
  border: 2px solid #e4002b;
  border-radius: 10px;
  padding: 50px 20px 30px;
  position: relative;
}

.game-box::before {
  content: "";
  position: absolute;
  top: -15px;
  left: 5%;
  width: 90%;
  height: 30px;
  background: goldenrod;
  z-index: 1;
}

.game-item {
  padding: 20px;
}

.game-item img {
  max-width: 150px;
  margin-bottom: 20px;
}

.game-item p {
  color: #000;
  font-size: 15px;
  line-height: 1.6;
}

/* Responsive */
@media (max-width: 768px) {
  .game-item {
    margin-bottom: 20px;
  }
}

.container2 {
  display: flex;
  gap: 30px;
  align-items: center;
  padding: 50px 20px;
  flex-wrap: wrap;
  background-color: #000;
}

/* LEFT SIDE */
.left {
  flex: 1;
  min-width: 280px;
}

.left h3 {
  font-size: 40px;
  color: #ffd400;
}
.left p{
    color: #fff;
}

.left span {
  color: #ffd400;
}

.left button {
  padding: 10px 20px;
  border: none;
  background: orange;
  color: #fff;
  cursor: pointer;
  margin-top: 10px;
}

/* CARDS */
.cards {
  flex: 2;
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
}

.card {
  flex: 1 1 calc(33.33% - 20px);
  background: #fff;
  padding: 20px;
  border-radius: 10px;
  text-align: center;
  box-shadow: 0 5px 15px rgba(0,0,0,0.1);

  opacity: 0;
  transform: translateY(50px);
  transition: all 0.6s ease;
}

.card.show {
  opacity: 1;
  transform: translateY(0);
}

/* MOBILE */
@media (max-width: 768px) {
  .container2 {
    flex-direction: column;
    text-align: center;
  }

  .cards {
    flex-direction: column;
  }

  .card {
    flex: 1 1 100%;
  }

  .left h3 {
    font-size: 28px;
  }
}

.together {
  background-image: url('img/better-together-repeater.png');
  text-align: center;
  padding: 60px 20px;
}

.title {
  color: red;
  font-size: 50px;
  font-weight: bold;
}

.subtitle {
  max-width: 700px;
  margin: 10px auto 40px;
  font-size: 16px;
}

.content {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  gap: 40px;
  max-width: 1100px;
  margin: auto;
}

/* LEFT + RIGHT */
.left3, .right3 {
  width: 45%;
}

h2 {
  color: red;
  font-size: 26px;
  margin-bottom: 30px;
  font-weight: 700;
}
.better{
    width: 300px;
}
/* FEATURES GRID */
.features {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  text-align: center;
}

.item {
  font-size: 30px;
}

.item p {
  font-size: 14px;
  margin-top: 10px;
}

/* RIGHT LIST */
.right3 ul {
  list-style: none;
  padding: 0;
}

.right3 li {
  margin: 15px 0;
  font-size: 16px;
  position: relative;
}

.right3 ul li::after {
  content: "";
  display: block;
  width: 40px;
  height: 2px;
  background: #fff;
  margin: 8px auto;
}

/* BUTTON */
.btn {
  margin-top: 30px;
  padding: 12px 25px;
  background: red;
  color: white;
  border: none;
  border-radius: 6px;
  font-weight: bold;
  cursor: pointer;
}
.btn:hover {
    background-color: red;
    color: #fff;
}
/* DIVIDER */
.divider {
  width: 2px;
  background: white;
  height: 250px;
}

/* RESPONSIVE */
@media (max-width: 768px) {
  .content {
    flex-direction: column;
  }

  .left, .right3 {
    width: 100%;
  }

  .divider {
    display: none;
  }
}

/* INITIAL STATE */
/* INITIAL STATE */
.together .better,
.left3,
.right3,
.features .item {
  opacity: 0;
  transform: scale(0.95);
  transition: all 0.6s ease;
}

/* SHOW STATE */
.together.show .better,
.together.show .left3,
.together.show .right3,
.together.show .features .item {
  opacity: 1;
  transform: scale(1);
}
/* FEATURES STAGGER */
.features .item {
  transform: translateY(30px);
}
.features .item.show {
  opacity: 1;
  transform: translateY(0);
}
/* footer */
.custom-footer {
  background: #000;
  padding: 50px 0;
  font-family: sans-serif;
}

.footer-logo {
  width: 180px;
  margin-bottom: 15px;
}

.footer-left h3 {
  color: #ffd400;
  font-weight: 800;
  line-height: 1.2;
}

.connect {
  margin-top: 20px;
  font-weight: 500;
  color: #fff;
}

.social-icons i {
  font-size: 18px;
  margin-right: 10px;
  cursor: pointer;
  color: #fff;
}

/* Columns */
.footer-col h5 {
  font-weight: 700;
  border-bottom: 2px solid #000;
  display: inline-block;
  margin-bottom: 10px;
  padding-bottom: 3px;
  color: #ffd400;
}

.footer-col ul {
  list-style: none;
  padding: 0;
}

.footer-col ul li {
  font-size: 14px;
  margin-bottom: 6px;
  color: #fff;
  cursor: pointer;
}
.footer-col p{
    color: #fff;
}

.footer-col ul li:hover {
  text-decoration: underline;
}

/* Responsive */
@media (max-width: 768px) {
  .footer-left {
    text-align: center;
    margin-bottom: 30px;
  }

  .footer-col {
    margin-bottom: 20px;
  }
}

/* Fixed Bottom Bar */
.bottom-bar {
    position: fixed;
    bottom: 0;
    width: 100%;
    background: #000;
    border-top: 2px solid #FFD700;
    z-index: 9999;
}

/* Marquee Text */
.marquee {
    overflow: hidden;
    white-space: nowrap;
    box-sizing: border-box;
    border-bottom: 1px solid #FFD700;
}

.marquee span {
    display: inline-block;
    padding-left: 100%;
    color: #FFD700;
    font-size: 14px;
    animation: marqueeMove 10s linear infinite;
}

/* Marquee Animation */
@keyframes marqueeMove {
    0% { transform: translateX(0); }
    100% { transform: translateX(-100%); }
}

/* Button Container */
.btn-container {
    text-align: center;
    padding: 10px;
}

/* Button Style */
.btn-gold {
    padding: 12px 35px;
    font-size: 16px;
    color: #FFD700;
    background: #000 !important;
    border: 2px solid #FFD700;
    text-transform: uppercase;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    animation: glowPulse 2s infinite alternate;
    margin-bottom: 50px;
}

/* Shine Effect */
.btn-gold::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(120deg, transparent, #FFD700, transparent);
    animation: shineMove 3s infinite;
}

/* Animations */
@keyframes shineMove {
    0% { left: -100%; }
    100% { left: 100%; }
}

@keyframes glowPulse {
    0% { box-shadow: 0 0 10px #FFD700; }
    100% { box-shadow: 0 0 25px #FFD700, 0 0 40px #FFD700; }
}

/* Hover */
.btn-gold:hover {
    background: #FFD700;
    color: #000;
}
/* footer */
.you{
    width: 200px;
}
/* mobile */
@media only screen and (max-width: 476px){
    .box {
        padding: 0px 12px;
    }
    .ball {
        height: 40px;
    }
    .ticket-inputs input {
    width: 35px;
    height: 40px;
    }
    .navbar{
        display: none;
    }
    .header{
        display: none;
    }
    .top-bar {
        display: none;
    }
    .banner-left {
        display: none;
    }
    .left3{
        width: 100%;
    }
    .banner-right{
        display: none;
    }
}
/* Desktop par hide */
@media (min-width: 992px) {
  .mobile-navbar {
    display: none;
  }
  .you{
      display: none;
  }
  .btn-container{
    display: none;
  }
  .ss{
    display: none;
  }
}

.ss{
    background-color: #000;
    padding-bottom: 40px;
}
/* SCRATCH CARDS */
.scratch{
    background-color: #000;
    padding: 20px;
}
.scratch h2{
    text-align: center;
    color: goldenrod;
}
.scratch p{
    text-align: center;
    color: #fff;
}
.scratch-card img {
    width: 100%;
    border-radius: 10px;
}

.scratch-btn {
    display: block;
    margin-top: 10px;
    background: orange;
    padding: 10px;
    text-align: center;
    border-radius: 20px;
    color: #000;
    font-weight: bold;
    text-decoration: none;
}

.card2 {
    background: #000;
    border-radius: 20px;
    padding: 25px;
    position: relative;
    transition: 0.3s;
    margin-top: 20px;
    margin-bottom: 20px;
    border: 2px solid goldenrod;
    box-shadow: 0 0 5px #FFD700; 
}

.card2:hover {
    transform: translateY(-10px);
}